#259 OBS builds for RHEL and friends

open
nobody
None
5
2012-12-22
2012-12-06
Havard Sorli
No

# rpm -ivh ledgersmb-1.3.24-1.noarch.rpm
error: Failed dependencies:
rpmlib(PayloadIsXz) <= 5.2-1 is needed by ledgersmb-1.3.24-1.noarch

Solved with
# rpmbuild --rebuild ledgersmb-1.3.25-1.src.rpm

The new rpm installs with
rpm -ivh /usr/src/redhat/RPMS/noarch/ledgersmb-1.3.25-1.noarch.rpm

Can we make a rpm file that it's possible to install on Centos 5.8 without rebuild?

Discussion

  • Chris Travers
    Chris Travers
    2012-12-07

    I don't really have a proper build system for such. Let's see what options we have here.

     
  • Chris Travers
    Chris Travers
    2012-12-22

    • labels: 2314730 -->
    • summary: ledgersmb-1.3.25-1.noarch.rpm - rpmlib(PayloadI [Centos 5.8] --> OBS builds for RHEL and friends
     
  • Chris Travers
    Chris Travers
    2012-12-22

    OBS requires a fair bit of configuration, and i am not completely up to speed on it. Let's look into it, but moving this to feature requests for now, and clarifying we want OBS at least for RHEL and friends.